package com.demo.xinrui;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ScrollView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

/**
 * @author #Suyghur.
 * Created on 2021/10/14
 */
public class DemoActivity extends Activity implements View.OnClickListener {


    private final List<Item> features = new ArrayList<Item>() {
        {
            add(new Item(1, "01 登录"));
            add(new Item(2, "02 登出"));
            add(new Item(3, "03 角色创建上报"));
            add(new Item(4, "04 角色登录上报"));
            add(new Item(5, "05 角色升级上报"));
            add(new Item(6, "06 定额充值"));
            add(new Item(7, "07 测试测试"));
        }
    };

    private LinearLayout layout;
    private TextView textView;

    private final Handler handler = new Handler(Looper.getMainLooper()) {
        @Override
        public void handleMessage(@NonNull Message msg) {
            if (msg.what == 10001) {
                String text = textView.getText().toString();
                textView.setText(text+msg.obj.toString());
            }
        }
    };

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        initView();
    }

    private void initView() {
        layout = new LinearLayout(this);
        layout.setOrientation(LinearLayout.VERTICAL);

        initButton();

        textView = new TextView(this);
        textView.setText("");
        layout.addView(textView);

        ScrollView scrollView = new ScrollView(this);
        scrollView.addView(layout);
        setContentView(scrollView);
    }

    private void initButton() {
        for (Item item : features) {
            Button button = new Button(this);
            button.setText(item.name);
            button.setId(item.id);
            button.setTag(item.id);
            button.setOnClickListener(this);
            layout.addView(button);
        }
    }

    @Override
    public void onClick(View v) {

    }
}
